summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlexandru DAMIAN <alexandru.damian@intel.com>2014-06-12 12:57:22 +0100
committerAlexandru DAMIAN <alexandru.damian@intel.com>2014-06-12 14:38:28 +0100
commit10988bd77c8c7cefad3b88744bc5d8a7e3c1f4cf (patch)
tree653339576a87a8d52a0fdd6aa1650063a6672489 /bin
parentdc1daae51ef5201475b5c1a69d966ae57b66dcb6 (diff)
downloadbitbake-contrib-10988bd77c8c7cefad3b88744bc5d8a7e3c1f4cf.tar.gz
toaster: build control functionality
We add the build control functionality to toaster. * The bldcontrol application gains bbcontroller classes that know how to manage a localhost build environment. * The toaster UI now detects it is running under build environment controller, and update the build controller database and will shut down the bitbake server once the build is complete. * The toaster script can now run in standalone mode, launching the build controller and the web interface instead of just monitoring the build, as in the interactive mode. * A fixture with the default build controller entry for localhost is provided. [YOCTO #5490] [YOCTO #5491] [YOCTO #5492] [YOCTO #5493] [YOCTO #5494] [YOCTO #5537] Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/toaster7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/toaster b/bin/toaster
index 80bda6d67..01ffc7a37 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -139,15 +139,16 @@ if [ -z "$ZSH_NAME" ] && [ `basename \"$0\"` = `basename \"$BASH_SOURCE\"` ]; th
webserverKillAll
RUNNING=0
}
- webserverStartAll || exit 1
+ webserverStartAll || (echo "Fail to start the web server, stopping" 1>&2 && exit 1)
xdg-open http://0.0.0.0:8000/ >/dev/null 2>&1 &
trap trap_ctrlc SIGINT
echo "Running. Stop with Ctrl-C"
while [ $RUNNING -gt 0 ]; do
- wait;
+ python $BBBASEDIR/lib/toaster/manage.py runbuilds
+ sleep 1
done
echo "**** Exit"
- exit 1
+ exit 0
fi
# We make sure we're running in the current shell and in a good environment